## org.apache.tools.ant.taskdefs
Class BuildNumber

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.BuildNumber

All Implemented Interfaces:
  java.lang.Cloneable

    public class BuildNumber

extends Task

Read, increment, and write a build number in a file It will first attempt to read a build number from a file, then set the property "build.number" to the value that was read in (or 0 if no such value). Then it will increment the build number by one and write it back out into the file.

Since:
  Ant 1.5

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`BuildNumber()`

Method Summary
`void` `execute()` Run task.
`void` `setFile(java.io.File file)` The file in which the build number is stored.

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BuildNumber

    public BuildNumber()

Method Detail

### setFile

    public void setFile(java.io.File file)

  The file in which the build number is stored. Defaults to "build.number" if not specified.

  Parameters:
    `file` - the file in which build number is stored.

### execute

    public void execute()
                 throws BuildException

  Run task.

  Overrides:
    `execute` in class `Task`
  Throws:
    `BuildException` - if an error occurs